| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
DomainParticipantListener Class Reference
eProsima Fast DDS API Reference » DDS Public API

Class DomainParticipantListener, overrides behaviour towards certain events. More...

`#include <DomainParticipantListener.hpp>`

Inheritance diagram for DomainParticipantListener:
[legend]

## Public Member Functions

| DomainParticipantListener ()
| Constructor.
virtual | ~DomainParticipantListener ()
| Destructor.
virtual void | on_participant_discovery (DomainParticipant *participant, fastdds::rtps::ParticipantDiscoveryStatus reason, const ParticipantBuiltinTopicData &info, bool &should_be_ignored)
| This method is called when a new Participant is discovered, or a previously discovered participant changes its QOS or is removed.
virtual void | on_data_reader_discovery (DomainParticipant *participant, rtps::ReaderDiscoveryStatus reason, const SubscriptionBuiltinTopicData &info, bool &should_be_ignored)
| This method is called when a new DataReader is discovered, or a previously discovered DataReader changes its QOS or is removed.
virtual void | on_data_writer_discovery (DomainParticipant *participant, rtps::WriterDiscoveryStatus reason, const PublicationBuiltinTopicData &info, bool &should_be_ignored)
| This method is called when a new DataWriter is discovered, or a previously discovered DataWriter changes its QOS or is removed.
Public Member Functions inherited from PublisherListener
FASTDDS_EXPORTED_API | PublisherListener ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~PublisherListener ()
| Destructor.
Public Member Functions inherited from DataWriterListener
| DataWriterListener ()
| Constructor.
virtual | ~DataWriterListener ()
| Destructor.
virtual void | on_publication_matched (DataWriter *writer, const PublicationMatchedStatus &info)
| This method is called when the DataWriter is matched (or unmatched) against an endpoint.
virtual void | on_offered_deadline_missed (DataWriter *writer, const OfferedDeadlineMissedStatus &status)
| A method called when a deadline is missed.
virtual void | on_offered_incompatible_qos (DataWriter *writer, const OfferedIncompatibleQosStatus &status)
| A method called when an incompatible QoS is offered.
virtual void | on_liveliness_lost (DataWriter *writer, const LivelinessLostStatus &status)
| Method called when the liveliness of a DataWriter is lost.
virtual void | on_unacknowledged_sample_removed (DataWriter *writer, const InstanceHandle_t &instance)
| Method called when a sample has been removed unacknowledged.
Public Member Functions inherited from SubscriberListener
FASTDDS_EXPORTED_API | SubscriberListener ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~SubscriberListener ()
| Destructor.
virtual FASTDDS_EXPORTED_API void | on_data_on_readers (Subscriber *sub)
| Virtual function to be implemented by the user containing the actions to be performed when a new Data Message is available on any reader.
Public Member Functions inherited from DataReaderListener
FASTDDS_EXPORTED_API | DataReaderListener ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~DataReaderListener ()
| Destructor.
virtual FASTDDS_EXPORTED_API void | on_data_available (DataReader *reader)
| Virtual function to be implemented by the user containing the actions to be performed when new Data Messages are received.
virtual FASTDDS_EXPORTED_API void | on_subscription_matched (DataReader *reader, const fastdds::dds::SubscriptionMatchedStatus &info)
| Virtual method to be called when the subscriber is matched with a new Writer (or unmatched); i.e., when a writer publishing in the same topic is discovered.
virtual FASTDDS_EXPORTED_API void | on_requested_deadline_missed (DataReader *reader, const RequestedDeadlineMissedStatus &status)
| Virtual method to be called when a topic misses the deadline period.
virtual FASTDDS_EXPORTED_API void | on_liveliness_changed (DataReader *reader, const LivelinessChangedStatus &status)
| Method called when the liveliness status associated to a subscriber changes.
virtual FASTDDS_EXPORTED_API void | on_sample_rejected (DataReader *reader, const SampleRejectedStatus &status)
| Method called when a sample was rejected.
virtual FASTDDS_EXPORTED_API void | on_requested_incompatible_qos (DataReader *reader, const RequestedIncompatibleQosStatus &status)
| Method called an incompatible QoS was requested.
virtual FASTDDS_EXPORTED_API void | on_sample_lost (DataReader *reader, const SampleLostStatus &status)
| Method called when a sample was lost.
Public Member Functions inherited from TopicListener
| TopicListener ()
| Constructor.
virtual | ~TopicListener ()
| Destructor.
virtual void | on_inconsistent_topic (Topic *topic, InconsistentTopicStatus status)
| Virtual function to be implemented by the user containing the actions to be performed when another topic exists with the same name but different characteristics.

## Detailed Description

Class DomainParticipantListener, overrides behaviour towards certain events.

## Constructor & Destructor Documentation

## ◆ DomainParticipantListener()

DomainParticipantListener | ( |  | ) |

inline

Constructor.

## ◆ ~DomainParticipantListener()

virtual ~DomainParticipantListener | ( |  | ) |

inline virtual

Destructor.

## Member Function Documentation

## ◆ on_data_reader_discovery()

virtual void on_data_reader_discovery | ( | DomainParticipant * | participant,
|  | rtps::ReaderDiscoveryStatus | reason,
|  | const SubscriptionBuiltinTopicData & | info,
|  | bool & | should_be_ignored )

inline virtual

This method is called when a new DataReader is discovered, or a previously discovered DataReader changes its QOS or is removed.

Parameters

  [in] | participant | Pointer to the Participant which discovered the remote reader.
  [in] | reason | The reason motivating this method to be called.
  [in] | info | Remote reader information.
  [out] | should_be_ignored | Flag to indicate the library to automatically ignore the discovered reader.

## ◆ on_data_writer_discovery()

virtual void on_data_writer_discovery | ( | DomainParticipant * | participant,
|  | rtps::WriterDiscoveryStatus | reason,
|  | const PublicationBuiltinTopicData & | info,
|  | bool & | should_be_ignored )

inline virtual

This method is called when a new DataWriter is discovered, or a previously discovered DataWriter changes its QOS or is removed.

Parameters

  [in] | participant | Pointer to the Participant which discovered the remote writer.
  [in] | reason | The reason motivating this method to be called.
  [in] | info | Remote writer information.
  [out] | should_be_ignored | Flag to indicate the library to automatically ignore the discovered writer.

## ◆ on_participant_discovery()

virtual void on_participant_discovery | ( | DomainParticipant * | participant,
|  | fastdds::rtps::ParticipantDiscoveryStatus | reason,
|  | const ParticipantBuiltinTopicData & | info,
|  | bool & | should_be_ignored )

inline virtual

This method is called when a new Participant is discovered, or a previously discovered participant changes its QOS or is removed.

Parameters

  [out] | participant | Pointer to the Participant which discovered the remote participant.
  [out] | reason | Reason of the change in the status of the discovered participant.
  [out] | info | Remote participant information. User can take ownership of the object.
  [out] | should_be_ignored | Flag to indicate the library to automatically ignore the discovered Participant.

The documentation for this class was generated from the following file:

- include/fastdds/dds/domain/DomainParticipantListener.hpp